com.h3c.sdn.metric

## Class HistogramMetricValue

- java.lang.Object
- - com.h3c.sdn.metric.MetricValue
  - - com.h3c.sdn.metric.HistogramMetricValue

-     public class HistogramMetricValue
      extends MetricValue

  Histogram metric value object, a data carrier which contains common metric value attributes plus additional histogram specific ones being retrieved from the metric updates persisted and summarized.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HistogramMetricValue.Builder<T extends HistogramMetricValue.Builder<T>>` Builder (mutable) used to create a new value instances.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HistogramMetricValue(HistogramMetricValue.Builder<?> builder)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HistogramMetricValue.Builder<?>` | `builder(String uid)`
    `long` | `getMaximum()` Gets the maximum metric value.
    `double` | `getMean()` Gets the mean metric value.
    `long` | `getMinimum()` Gets the minimum metric value.
    `double` | `getQuantile50()` Gets the 50th quantile metric value.
    `double` | `getQuantile75()` Gets the 75th quantile metric value.
    `double` | `getQuantile95()` Gets the 95th quantile metric value.
    `double` | `getQuantile98()` Gets the 98th quantile metric value.
    `double` | `getQuantile99()` Gets the 99th quantile metric value.
    `double` | `getStdDev()` Gets the standard deviation.

    - ### Methods inherited from class com.h3c.sdn.metric.MetricValue

      `getCount, getMillisecondsSpan, getPersistDate, getType, getUid, getUpdateDate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HistogramMetricValue

          protected HistogramMetricValue(HistogramMetricValue.Builder<?> builder)

  - ### Method Detail

    - #### getMaximum

          public long getMaximum()

      Gets the maximum metric value.
      Returns:
        the metric maximum

    - #### getMinimum

          public long getMinimum()

      Gets the minimum metric value.
      Returns:
        the metric minimum

    - #### getMean

          public double getMean()

      Gets the mean metric value.
      Returns:
        the metric mean

    - #### getStdDev

          public double getStdDev()

      Gets the standard deviation.
      Returns:
        the metric median

    - #### getQuantile50

          public double getQuantile50()

      Gets the 50th quantile metric value.
      Returns:
        the metric median

    - #### getQuantile75

          public double getQuantile75()

      Gets the 75th quantile metric value.
      Returns:
        the metric median

    - #### getQuantile95

          public double getQuantile95()

      Gets the 95th quantile metric value.
      Returns:
        the metric median

    - #### getQuantile98

          public double getQuantile98()

      Gets the 98th quantile metric value.
      Returns:
        the metric median

    - #### getQuantile99

          public double getQuantile99()

      Gets the 99th quantile metric value.
      Returns:
        the metric median

    - #### builder

          public static HistogramMetricValue.Builder<?> builder(String uid)

Copyright © 2014. All Rights Reserved.